import { Action } from '@ngrx/store';
import { Note } from '@app/core/models/note';

export enum NoteActionTypes {
  WriteNoteRequest = '[Note] Write Request',
  WriteNoteResponse = '[Note] Write Response',
  DeleteNoteRequest = '[Note] Delete Request',
  DeleteNoteResponse = '[Note] Delete Response',
}

export class WriteNoteRequest implements Action {
  public readonly type = NoteActionTypes.WriteNoteRequest;
  constructor(public payload: { termCode: string; noteText: string }) {}
}

export class WriteNoteResponse implements Action {
  public readonly type = NoteActionTypes.WriteNoteResponse;
  constructor(public payload: { updatedNote: Note }) {}
}

export class DeleteNoteRequest implements Action {
  public readonly type = NoteActionTypes.DeleteNoteRequest;
  constructor(public payload: { termCode: string }) {}
}

export class DeleteNoteResponse implements Action {
  public readonly type = NoteActionTypes.DeleteNoteResponse;
  constructor(public payload: { termCode: string }) {}
}
