import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'academicYearState',
})
export class AcademicYearStatePipe implements PipeTransform {
  transform(year: string, cutoffTermCode: string): string {
    let century = 2000;
    if (cutoffTermCode.substr(0, 1) === '0') {
      century = 1900;
    }
    const YYYY = century + Number(year);

    if (year < cutoffTermCode.substr(1, 2)) {
      return 'Past: ' + (YYYY - 1) + '-' + YYYY;
    } else if (year > cutoffTermCode.substr(1, 2)) {
      return 'Future: ' + (YYYY - 1) + '-' + YYYY;
    } else {
      return 'Current: ' + (YYYY - 1) + '-' + YYYY;
    }
  }
}
